apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  labels:
    {{- include "mijngegevens.labels" $ | nindent 4 }}
spec:
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      #securityContext:
      #  runAsUser: 1001
      containers:
        - name: frontend
          image: {{$.Values.frontendImage}}
          imagePullPolicy: IfNotPresent
          resources:
            requests:
              memory: 128Mi
              cpu: 100m
            limits:
              memory: 128Mi
              cpu: 800m
          ports:
            - name: http
              containerPort: 8080
          readinessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 5
          livenessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 10
      imagePullSecrets:
      - name: gitlab-regcred
      restartPolicy: Always

---

apiVersion: v1
kind: Service
metadata:
  name: frontend
spec:
  type: ClusterIP
  selector:
   app: frontend
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 8080

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: frontend
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
    - hosts:
        - mijngegevens.app
      secretName: mijngegevens-app-cert
  rules:
    - host: mijngegevens.app
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
               name: frontend
               port:
                 number: 80
